import { PropType, ExtractPropTypes } from 'vue';
import { PluggableList } from 'unified';
import { Components } from './utils/ast-to-vue';
import { uriTransformer } from './utils/uri-transformer';
declare const markdownPreview: {
    rehypePlugins: {
        type: PropType<PluggableList>;
        default: never[];
    };
    remarkPlugins: {
        type: PropType<PluggableList>;
        default: never[];
    };
    components: {
        type: PropType<Components>;
        default: {};
    };
    source: {
        type: StringConstructor;
        default: string;
    };
    transformLinkUri: {
        type: PropType<(href: string, children: import("hast").RootContent[], title?: string | null | undefined) => string>;
        default: typeof uriTransformer;
    };
};
declare type ExtractPublicPropTypes<T> = Omit<Partial<ExtractPropTypes<T>>, Extract<keyof T, `internal${string}`>>;
export declare type MarkdownPreviewProps = ExtractPublicPropTypes<typeof markdownPreview>;
declare const _default: import("vue").DefineComponent<{
    rehypePlugins: {
        type: PropType<PluggableList>;
        default: never[];
    };
    remarkPlugins: {
        type: PropType<PluggableList>;
        default: never[];
    };
    components: {
        type: PropType<Components>;
        default: {};
    };
    source: {
        type: StringConstructor;
        default: string;
    };
    transformLinkUri: {
        type: PropType<(href: string, children: import("hast").RootContent[], title?: string | null | undefined) => string>;
        default: typeof uriTransformer;
    };
}, () => JSX.Element, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, Record<string, any>, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<{
    rehypePlugins?: unknown;
    remarkPlugins?: unknown;
    components?: unknown;
    source?: unknown;
    transformLinkUri?: unknown;
} & {
    transformLinkUri: (href: string, children: import("hast").RootContent[], title?: string | null | undefined) => string;
    rehypePlugins: PluggableList;
    remarkPlugins: PluggableList;
    components: Components;
    source: string;
} & {}>, {
    transformLinkUri: (href: string, children: import("hast").RootContent[], title?: string | null | undefined) => string;
    rehypePlugins: PluggableList;
    remarkPlugins: PluggableList;
    components: Components;
    source: string;
}>;
export default _default;
