"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault")["default"];

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.childrenToVue = childrenToVue;

var _objectSpread2 = _interopRequireDefault(require("@babel/runtime/helpers/objectSpread2"));

var _vue = require("vue");

function childrenToVue(node, options) {
  return node.map(function (item) {
    if (item.type === 'text') {
      return item.value;
    }

    if (item.type === 'element' && item.tagName === 'a' && item.properties && options.transformLinkUri) {
      var _href = item.properties.href || '';

      item.properties.href = options.transformLinkUri(String(_href), item.children, typeof item.properties.title === 'string' ? item.properties.title : null);
    }

    if (item.type === 'element' && options.components[item.tagName] && typeof options.components[item.tagName] === 'function') {
      var cnode = (0, _objectSpread2["default"])((0, _objectSpread2["default"])({}, item), {}, {
        node: item,
        children: childrenToVue(item.children || [], options)
      });
      var vnode = options.components[item.tagName](cnode);

      if (vnode && (0, _vue.isVNode)(vnode)) {
        return vnode;
      }
    }

    if (item.type === 'element' && item.children && item.children.length > 0) {
      if (item.properties) {
        var className = item.properties.className || item.properties["class"];
        item.properties.className = Array.isArray(className) ? className.join(' ') : className;
      }

      return (0, _vue.h)(item.tagName, item.properties, childrenToVue(item.children, options));
    }
  });
}
//# sourceMappingURL=ast-to-vue.js.map